> For the complete documentation index, see [llms.txt](https://docs.delegate.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.delegate.xyz/technical-documentation/rest-api/v1.md).

# v1

**Supported Networks:** All networks on the main delegate.xyz website are supported

**Rate Limits:** 25 requests per 10 seconds

### Delegations by wallet

## Get a list of incoming and outgoing delegations for a specific wallet.

<mark style="color:blue;">`GET`</mark> `https://api.delegate.xyz/registry/v1/:wallet`

#### Path Parameters

| Name                                     | Type    | Description                   |
| ---------------------------------------- | ------- | ----------------------------- |
| wallet<mark style="color:red;">\*</mark> | Address | The wallet to get delegations |

#### Query Parameters

| Name    | Type   | Description               |
| ------- | ------ | ------------------------- |
| chainId | number | Defaults to `1` (mainnet) |

{% tabs %}
{% tab title="200: OK Delegation\[]" %}

```typescript
type Delegation = {
    type: "NONE" | "ALL" | "CONTRACT" | "TOKEN";
    delegate: string;
    vault: string;
    contract: string | null;
    tokenId: number | null;
};

// returns Delegation[]
```

{% endtab %}
{% endtabs %}

**Delegations by wallet Example**

```shell
curl https://api.delegate.xyz/registry/v1/0x0000000000000000000000000000000000000000
```

### Delegation Checks

## Returns true if the address is delegated to act on the entire vault

<mark style="color:blue;">`GET`</mark> `https://api.delegate.cash/registry/v1/check/all`

#### Query Parameters

| Name                                       | Type    | Description                               |
| ------------------------------------------ | ------- | ----------------------------------------- |
| delegate<mark style="color:red;">\*</mark> | Address | The hot wallet to act on your behalf      |
| vault<mark style="color:red;">\*</mark>    | Address | The cold wallet who issued the delegation |
| chainId                                    | number  | Defaults to `1` (mainnet)                 |

{% tabs %}
{% tab title="200: OK Boolean" %}

{% endtab %}
{% endtabs %}

**Check All Example**

```sh
curl https://api.delegate.xyz/registry/v1/check/all?delegate=0x0000000000000000000000000000000000000000&vault=0x0000000000000000000000000000000000000001
```

## Returns true if the address is delegated to act on your behalf for a token contract or an entire vault

<mark style="color:blue;">`GET`</mark> `https://api.delegate.cash/registry/v1/check/contract`

#### Query Parameters

| Name                                       | Type    | Description                                    |
| ------------------------------------------ | ------- | ---------------------------------------------- |
| delegate<mark style="color:red;">\*</mark> | Address | The hot wallet to act on your behalf           |
| vault<mark style="color:red;">\*</mark>    | Address | The cold wallet who issued the delegation      |
| contract<mark style="color:red;">\*</mark> | Address | The address for the contract you're delegating |
| chainId                                    | number  | Defaults to `1` (mainnet)                      |

{% tabs %}
{% tab title="200: OK Boolean" %}

{% endtab %}
{% endtabs %}

**Check Contract Example**

```sh
curl https://api.delegate.xyz/registry/v1/check/contract?delegate=0x0000000000000000000000000000000000000000&vault=0x0000000000000000000000000000000000000001&contract=0x0000000000000000000000000000000000000003
```

## Returns true if the address is delegated to act on your behalf for a specific token, the token's contract or an entire vault

<mark style="color:blue;">`GET`</mark> `https://api.delegate.xyz/registry/v1/check/token`

#### Query Parameters

| Name                                       | Type    | Description                                    |
| ------------------------------------------ | ------- | ---------------------------------------------- |
| delegate<mark style="color:red;">\*</mark> | Address | The hot wallet to act on your behalf           |
| vault<mark style="color:red;">\*</mark>    | Address | The cold wallet who issued the delegation      |
| contract<mark style="color:red;">\*</mark> | Address | The address for the contract you're delegating |
| tokenId<mark style="color:red;">\*</mark>  | Number  | The token id for the token you're delegating   |
| chainId                                    | number  | Defaults to `1` (mainnet)                      |

{% tabs %}
{% tab title="200: OK Boolean" %}

{% endtab %}
{% endtabs %}

**Check Token Example**

```sh
curl https://api.delegate.xyz/registry/v1/check/contract?delegate=0x0000000000000000000000000000000000000000&vault=0x0000000000000000000000000000000000000001&contract=0x0000000000000000000000000000000000000003&tokenId=1
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.delegate.xyz/technical-documentation/rest-api/v1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
